package com.common.bluetooth.callback;

/**
 * 用于数据回传的基本回调接口
 *
 * @author wangym
 * @since 2021-10-19
 */
public interface BaseResultCallback<T> {

    /**
     * 成功拿到数据
     *
     * @param data 回传的数据
     */
    void onSuccess(T data);

    /**
     * 操作失败
     *
     * @param msg 失败的返回的异常信息
     */
    void onFail(String msg);
}
